Test::Int::Cumulatives Namespace Reference

Tests for scheduling constraints More...

## Classes

class | Ass
| Script for generating assignments. More...
class | CumulativeAssignment
| Class for generating reasonable assignments. More...
class | Event
| Event to be scheduled More...
class | Below
| Describe that event is below a certain limit. More...
class | Above
| Describe that event is above a certain limit. More...
class | Cumulatives
| Test for cumulatives constraint More...

## Functions

template<class C>
bool | valid (std::vector< Event > e, C comp)
| Check whether event e is valid.

## Variables

Cumulatives | c1t1 ("1t1", 1, true, 1)
Cumulatives | c1f1 ("1f1", 1, false, 1)
Cumulatives | c1t2 ("1t2", 1, true, 2)
Cumulatives | c1f2 ("1f2", 1, false, 2)
Cumulatives | c1t3 ("1t3", 1, true, 3)
Cumulatives | c1f3 ("1f3", 1, false, 3)
Cumulatives | c2t1 ("2t1", 2, true, 1)
Cumulatives | c2f1 ("2f1", 2, false, 1)
Cumulatives | c2t2 ("2t2", 2, true, 2)
Cumulatives | c2f2 ("2f2", 2, false, 2)
Cumulatives | c2t3 ("2t3", 2, true, 3)
Cumulatives | c2f3 ("2f3", 2, false, 3)
Cumulatives | c3t1 ("3t1", 3, true, 1)
Cumulatives | c3f1 ("3f1", 3, false, 1)
Cumulatives | c3t2 ("3t2", 3, true, 2)
Cumulatives | c3f2 ("3f2", 3, false, 2)
Cumulatives | c3t3 ("3t3", 3, true, 3)
Cumulatives | c3f3 ("3f3", 3, false, 3)
Cumulatives | c3t_1 ("3t-1", 3, true, -1)
Cumulatives | c3f_1 ("3f-1", 3, false, -1)
Cumulatives | c3t_2 ("3t-2", 3, true, -2)
Cumulatives | c3f_2 ("3f-2", 3, false, -2)
Cumulatives | c3t_3 ("3t-3", 3, true, -3)
Cumulatives | c3f_3 ("3f-3", 3, false, -3)

## Detailed Description

Tests for scheduling constraints

## Function Documentation

## valid()

template<class C>

bool Test::Int::Cumulatives::valid | ( | std::vector< Event > | e,
|  | C | comp )

Check whether event e is valid.

Definition at line 166 of file cumulatives.cpp.

## Variable Documentation

## c1t1

Cumulatives Test::Int::Cumulatives::c1t1("1t1", 1, true, 1) | ( | "1t1" | ,
|  | 1 | ,
|  | true | ,
|  | 1 | )

## c1f1

Cumulatives Test::Int::Cumulatives::c1f1("1f1", 1, false, 1) | ( | "1f1" | ,
|  | 1 | ,
|  | false | ,
|  | 1 | )

## c1t2

Cumulatives Test::Int::Cumulatives::c1t2("1t2", 1, true, 2) | ( | "1t2" | ,
|  | 1 | ,
|  | true | ,
|  | 2 | )

## c1f2

Cumulatives Test::Int::Cumulatives::c1f2("1f2", 1, false, 2) | ( | "1f2" | ,
|  | 1 | ,
|  | false | ,
|  | 2 | )

## c1t3

Cumulatives Test::Int::Cumulatives::c1t3("1t3", 1, true, 3) | ( | "1t3" | ,
|  | 1 | ,
|  | true | ,
|  | 3 | )

## c1f3

Cumulatives Test::Int::Cumulatives::c1f3("1f3", 1, false, 3) | ( | "1f3" | ,
|  | 1 | ,
|  | false | ,
|  | 3 | )

## c2t1

Cumulatives Test::Int::Cumulatives::c2t1("2t1", 2, true, 1) | ( | "2t1" | ,
|  | 2 | ,
|  | true | ,
|  | 1 | )

## c2f1

Cumulatives Test::Int::Cumulatives::c2f1("2f1", 2, false, 1) | ( | "2f1" | ,
|  | 2 | ,
|  | false | ,
|  | 1 | )

## c2t2

Cumulatives Test::Int::Cumulatives::c2t2("2t2", 2, true, 2) | ( | "2t2" | ,
|  | 2 | ,
|  | true | ,
|  | 2 | )

## c2f2

Cumulatives Test::Int::Cumulatives::c2f2("2f2", 2, false, 2) | ( | "2f2" | ,
|  | 2 | ,
|  | false | ,
|  | 2 | )

## c2t3

Cumulatives Test::Int::Cumulatives::c2t3("2t3", 2, true, 3) | ( | "2t3" | ,
|  | 2 | ,
|  | true | ,
|  | 3 | )

## c2f3

Cumulatives Test::Int::Cumulatives::c2f3("2f3", 2, false, 3) | ( | "2f3" | ,
|  | 2 | ,
|  | false | ,
|  | 3 | )

## c3t1

Cumulatives Test::Int::Cumulatives::c3t1("3t1", 3, true, 1) | ( | "3t1" | ,
|  | 3 | ,
|  | true | ,
|  | 1 | )

## c3f1

Cumulatives Test::Int::Cumulatives::c3f1("3f1", 3, false, 1) | ( | "3f1" | ,
|  | 3 | ,
|  | false | ,
|  | 1 | )

## c3t2

Cumulatives Test::Int::Cumulatives::c3t2("3t2", 3, true, 2) | ( | "3t2" | ,
|  | 3 | ,
|  | true | ,
|  | 2 | )

## c3f2

Cumulatives Test::Int::Cumulatives::c3f2("3f2", 3, false, 2) | ( | "3f2" | ,
|  | 3 | ,
|  | false | ,
|  | 2 | )

## c3t3

Cumulatives Test::Int::Cumulatives::c3t3("3t3", 3, true, 3) | ( | "3t3" | ,
|  | 3 | ,
|  | true | ,
|  | 3 | )

## c3f3

Cumulatives Test::Int::Cumulatives::c3f3("3f3", 3, false, 3) | ( | "3f3" | ,
|  | 3 | ,
|  | false | ,
|  | 3 | )

## c3t_1

Cumulatives Test::Int::Cumulatives::c3t_1("3t-1", 3, true, -1) | ( | "3t-1" | ,
|  | 3 | ,
|  | true | ,
|  | - | 1 )

## c3f_1

Cumulatives Test::Int::Cumulatives::c3f_1("3f-1", 3, false, -1) | ( | "3f-1" | ,
|  | 3 | ,
|  | false | ,
|  | - | 1 )

## c3t_2

Cumulatives Test::Int::Cumulatives::c3t_2("3t-2", 3, true, -2) | ( | "3t-2" | ,
|  | 3 | ,
|  | true | ,
|  | - | 2 )

## c3f_2

Cumulatives Test::Int::Cumulatives::c3f_2("3f-2", 3, false, -2) | ( | "3f-2" | ,
|  | 3 | ,
|  | false | ,
|  | - | 2 )

## c3t_3

Cumulatives Test::Int::Cumulatives::c3t_3("3t-3", 3, true, -3) | ( | "3t-3" | ,
|  | 3 | ,
|  | true | ,
|  | - | 3 )

## c3f_3

Cumulatives Test::Int::Cumulatives::c3f_3("3f-3", 3, false, -3) | ( | "3f-3" | ,
|  | 3 | ,
|  | false | ,
|  | - | 3 )